This folder contains text-to-action dictionary data.

The files are as follows:

1. templated.txt: This file has 800K dialogue, action dictionary pairs generated using our generation script. For information on how to generate dialogues, see [generate_dialogue.py](https://github.com/fairinternal/minecraft/blob/master/base_agent/ttad/generation_dialogues/generate_dialogue.py).

2. annotated.txt: This file contains 7k dialogue, action dictionary pairs. These are human labelled examples obtained from crowd-sourced tasks and in game interactions.

3. templated_modify.txt: This file has 100K dialogue, action dictionary pairs generated in the same way as templated.txt, except covering modify type commands. For more information on MODIFY and other grammar spec, see the specification doc: [Action Dictionary Spec](https://github.com/fairinternal/minecraft/blob/master/craftassist/agent/documents/Action_Dictionary_Spec.md).

4. greetings.json: This contains common bot greetings, used by the bot during gameplay.

5. short_commands.txt: This is a set of ~60 short commands that carry some kind of reward, i.e. positive or negative feedback. See grammar spec for more information about rewards.

For more details on how datasets were collected, see: [this paper](https://www.aclweb.org/anthology/2020.acl-main.427.pdf).
